petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecAYPX

Computes y = x + beta y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAYPX(Vec y,PetscScalar beta,Vec x)

Logically Collective on Vec

### Input Parameters

| beta | - the scalar
| x, y | - the vectors

### Output Parameter

y -output vector

### Notes

x and y MUST be different vectors The implementation is optimized for beta of -1.0, 0.0, and 1.0

### See Also

VecMAXPY(), VecWAXPY(), VecAXPY(), VecAXPBYPCZ(), VecAXPBY()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/ksp/ksp/examples/tutorials/ex74.c.html
src/ksp/ksp/examples/tutorials/ex100.c.html
src/ksp/ksp/examples/tutorials/ex14f.F90.html
src/ksp/ksp/examples/tutorials/ex100f.F90.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html

### Implementations

VecAYPX_Nest in src/vec/vec/impls/nest/vecnest.c
VecAYPX_Node in src/vec/vec/impls/node/vecnode.c
VecAYPX_Seq in src/vec/vec/impls/seq/dvec2.c
VecAYPX_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecAYPX_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages